# Couenne::CouenneSparseMatrix Class Reference

Class for sparse Matrixs (used in modifying distances in FP). More...

`#include <CouenneSparseMatrix.hpp>`

List of all members.

## Public Member Functions
| CouenneSparseMatrix ()
| Constructor.
| CouenneSparseMatrix (const CouenneSparseMatrix &)
| Copy constructor.
CouenneSparseMatrix & | operator= (const CouenneSparseMatrix &rhs)
| Assignment.
CouenneSparseMatrix * | clone ()
| Clone.
virtual | ~CouenneSparseMatrix ()
| Destructor.
int & | num ()
| Get methods.
double *& | val ()
| values
int *& | col ()
| column indices
int *& | row ()
| row indices
## Private Attributes
int | num_
| Stores the values of the Matrix of the Lagrangian at optimum for later use.
double * | val_
| values
int * | col_
| column indices
int * | row_
| row indices

## Detailed Description

Class for sparse Matrixs (used in modifying distances in FP).

Definition at line 17 of file CouenneSparseMatrix.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneSparseMatrix::CouenneSparseMatrix | ( |  | ) |

Constructor.

Couenne::CouenneSparseMatrix::CouenneSparseMatrix | ( | const CouenneSparseMatrix & |  | ) |

Copy constructor.

virtual Couenne::CouenneSparseMatrix::~CouenneSparseMatrix | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CouenneSparseMatrix& Couenne::CouenneSparseMatrix::operator= | ( | const CouenneSparseMatrix & | rhs | ) |

Assignment.

CouenneSparseMatrix* Couenne::CouenneSparseMatrix::clone | ( |  | ) |

Clone.

int& Couenne::CouenneSparseMatrix::num | ( |  | ) | `[inline]`

Get methods.

number of elements

Definition at line 37 of file CouenneSparseMatrix.hpp.

References num_.

double*& Couenne::CouenneSparseMatrix::val | ( |  | ) | `[inline]`

values

Definition at line 38 of file CouenneSparseMatrix.hpp.

References val_.

int*& Couenne::CouenneSparseMatrix::col | ( |  | ) | `[inline]`

column indices

Definition at line 39 of file CouenneSparseMatrix.hpp.

References col_.

int*& Couenne::CouenneSparseMatrix::row | ( |  | ) | `[inline]`

row indices

Definition at line 40 of file CouenneSparseMatrix.hpp.

References row_.

## Member Data Documentation

int Couenne::CouenneSparseMatrix::num_`[private]`

Stores the values of the Matrix of the Lagrangian at optimum for later use.

number of elements

Definition at line 45 of file CouenneSparseMatrix.hpp.

Referenced by num().

double* Couenne::CouenneSparseMatrix::val_`[private]`

values

Definition at line 46 of file CouenneSparseMatrix.hpp.

Referenced by val().

int* Couenne::CouenneSparseMatrix::col_`[private]`

column indices

Definition at line 47 of file CouenneSparseMatrix.hpp.

Referenced by col().

int* Couenne::CouenneSparseMatrix::row_`[private]`

row indices

Definition at line 48 of file CouenneSparseMatrix.hpp.

Referenced by row().

The documentation for this class was generated from the following file:

- CouenneSparseMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines